curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ancestorGroupIds": [
"<string>"
],
"groupPolicyIds": [
"<string>"
],
"workspacePolicyIds": [
"<string>"
],
"allowedEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Get group access
Inspect the tool access granted through a group, its ancestors, and workspace-wide policies
Requires the policies:read scope.
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/GetGroupAccess"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ancestorGroupIds": [
"<string>"
],
"groupPolicyIds": [
"<string>"
],
"workspacePolicyIds": [
"<string>"
],
"allowedEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
1 Define the timeout, in ms
Query Parameters
Define which encoding or 'Message-Codec' to use
proto, json Specifies if the message query param is base64 encoded, which may be required for binary data
Which compression algorithm to use for this request
identity, gzip, br Define the version of the Connect protocol
v1 Response
Success
Transitive parent groups that contain the requested group. The requested group itself is not repeated here.
Policies linked to the requested group or any ancestor group.
Policies linked to every member of the workspace.
Union of entries from the policies above. This is the access a hypothetical member of the group would have if every allowed tool were enabled; direct user policies and user-specific enable selections are deliberately absent.
Show child attributes
Show child attributes
Was this page helpful?